Bug 1202760 - Next execution link in "Scheduled Operations" portlet is not correct
Summary: Next execution link in "Scheduled Operations" portlet is not correct
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1202763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 12:09 UTC by bkramer
Modified: 2019-04-16 14:43 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Knowledge Base (Solution) 1382293 None None None Never

Description bkramer 2015-03-17 12:09:24 UTC
Description of problem:
The link that I get when hovering above "Next Execution" date/time in the "Scheduled Operations" portlet is not correct. It points to:

jon-server-ip:7080/coregui/#ResourceGroup/10031/Operations/Schedules/10041

but it should be:

jon-server-ip:7080/coregui/#Resource/AutoGroup/10031/Operations/Schedules/10041

Version-Release number of selected component (if applicable):
JON 3.3.1

How reproducible:
Always

Steps to Reproduce:
1. Schedule operation that will be invoked now and later - for instance navigate to RHQ Storage Node resource -> Keyspaces -> rhq -> ColumnFamilies -> Operations -> Schedules and create a new "Force Major Column Family Compaction] that will be run now and repeated every 7 days.
2. Navigate to JBoss ON Dashboard and press Edit Mode button -> Add Portlet and choose Scheduled Operations -> press View Mode 
3.Scheduled Operation portlet should contain a row with next execution of the operation.
4. Hover above Next Execution date/time in the Scheduled Operation portlet and check the URL shown at the bottom of the screen;

Actual results:

The URL - jon-server-ip:7080/coregui/#ResourceGroup/10031/Operations/Schedules/10041 - is not correct and it will take to the jon-server-ip:7080/coregui/#Inventory page with message "Group with id [10031] does not exist or is not accessible."


Expected results:

The expected URL is: 

jon-server-ip:7080/coregui/#Resource/AutoGroup/10031/Operations/Schedules/10041

and it should show "View Operation Schedule" page for Schedule 10041.

Additional info:
At the same time the URL that is shown in the Operations -> Schedules page for this resource is correct.

Comment 1 bkramer 2015-03-17 12:50:37 UTC
Above error seems to be only for AutoGroups. If it is for resource group or just a resource - URL is correct.

Comment 2 Libor Zoubek 2015-06-15 14:12:45 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/4986c9a5c
time:    2015-06-15 16:10:52 +0200
commit:  4986c9a5c07b0a9745251998bfcf28fd7e128685
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1202760 - Next execution link in "Scheduled Operations" portlet is
         not correct
         GroupOperationScheduleComposite has been extended so it now
         knows whether it is autoGroup or not. Based on that knowledge,
         we can generate correct Link in UI.

Comment 4 Libor Zoubek 2015-06-29 21:11:51 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/2ff0942c9
time:    2015-06-29 23:09:01 +0200
commit:  2ff0942c9f476f3d4b00454f5730c54e8d916b4e
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1202760 - Next execution link in "Scheduled Operations" portlet is
         not correct

         Reverted back to original GroupOperationScheduleComposite
         constructors so we don't break API compatibility

Comment 6 Simeon Pinder 2015-07-10 18:55:22 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 7 Filip Brychta 2015-07-14 07:12:54 UTC
Verified on
Version :	
3.3.0.GA Update 03
Build Number :	
e4b348a:2f80c8c

Comment 9 errata-xmlrpc 2015-07-30 16:41:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.